Bug 112008 - Assert when starting an empty slideshow
Summary: Assert when starting an empty slideshow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Assert
  Show dependency treegraph
 
Reported: 2017-08-24 14:41 UTC by Tamás Zolnai
Modified: 2017-08-30 14:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (9.49 KB, text/plain)
2017-08-24 17:58 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-08-24 14:41:36 UTC
Description:
Crash on master because of an assertion in SfxListener::StartListening() method, when starting any slide show.

Steps to Reproduce:
1. Open Impress
2. Start a slideshow (F5)


Actual Results:  
LO crashes becuase of an assert.

Expected Results:
LO should not crash.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.101 Safari/537.36
Comment 1 Julien Nabet 2017-08-24 15:24:48 UTC
Noel: I haven't tested it yet but an assertion about a listener made me think about https://cgit.freedesktop.org/libreoffice/core/commit/?id=bc9a2ba677ce3fcd46c2bbef6e8faeacb14292c1
I'll try to provide a bt asap.
Comment 2 Jacques Guilleron 2017-08-24 15:56:10 UTC
Hi Tamás,

I didn't reproduce with
LO  6.0.0.0.alpha0+ Build ID: 88179e3de8865ea07d5017ca0723afd10ad44ba7
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-06_23:49:25
Locale: en-US (fr_FR); Calc: group
nr with
LO 6.0.0.0.alpha0+ Build ID: 02c53f744ed23e2149fc7c83d67cb7d8aa5eb0ed
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-24_05:48:55
Locale: fr-FR (fr_FR); Calc: CL

Jacques
Comment 3 Tamás Zolnai 2017-08-24 16:21:15 UTC
(In reply to Jacques Guilleron from comment #2)
> Hi Tamás,
> 
> I didn't reproduce with
> LO  6.0.0.0.alpha0+ Build ID: 88179e3de8865ea07d5017ca0723afd10ad44ba7
> CPU threads: 2; OS: Windows 6.1; UI render: default; 
> TinderBox: Win-x86@39, Branch:master, Time: 2017-08-06_23:49:25
> Locale: en-US (fr_FR); Calc: group
> nr with
> LO 6.0.0.0.alpha0+ Build ID: 02c53f744ed23e2149fc7c83d67cb7d8aa5eb0ed
> CPU threads: 2; OS: Windows 6.1; UI render: default; 
> TinderBox: Win-x86@42, Branch:master, Time: 2017-08-24_05:48:55
> Locale: fr-FR (fr_FR); Calc: CL
> 
> Jacques

Did you used a debug build? It's an assertion which is triggered only in a debug build and not in a release one.
Comment 4 Julien Nabet 2017-08-24 17:58:30 UTC
Created attachment 135770 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce the assertion.
Comment 5 Julien Nabet 2017-08-24 17:59:37 UTC
Noel: the bt confirms what I thought.
Comment 6 Jacques Guilleron 2017-08-24 19:20:41 UTC
Thanks for the precision, but no,I didn't use a debug build.
This is an error. I apologize for the noise.

Jacques
Comment 7 Commit Notification 2017-08-29 16:41:45 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c088880c871a510b6e4b703f01ff42bce104e5f

tdf#112008 Assert when starting an empty slideshow

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.